export * from "./runtime";
export declare function render(code: () => any, element: Node): () => void;
export declare function For<T, U>(props: {
    each: T[];
    fallback?: any;
    transform?: (mapped: () => U[], source: () => T[]) => () => U[];
    children: (item: T, index: number) => U;
}): () => U[];
export declare function Show<T>(props: {
    when: boolean;
    fallback?: T;
    transform?: (mapped: () => T | undefined, source: () => boolean) => () => T | undefined;
    children: T;
}): () => T | undefined;
export declare function Switch<T>(props: {
    fallback?: T;
    transform?: (mapped: () => T, source: () => number) => () => T;
    children: any;
}): () => any;
declare type MatchProps = {
    when: boolean;
    children: any;
};
export declare function Match(props: MatchProps): MatchProps;
export declare function Suspense(props: {
    delayMs?: number;
    fallback: any;
    children: any;
}): any;
export declare function Portal(props: {
    mount?: Node;
    useShadow?: boolean;
    children: any;
}): Text;
